% Definisco l'intervallo
a = % DA DEFINIRE;
b = % DA DEFINIRE;

% Definisco una funzione "wrapper"
function z = target_function(v)
	% Definisco tutti i termini noti
	D = 0.154;
	nu = 1e-6;
	L = 4828;
	H12 = 6.35;
	es = 0.045e-3;
	g = 9.81;
	% Calcolo il numero di Reynolds
	Re = (v .* D) ./ nu;
	% Calcolo il coefficiente di attrito
	f = churchill(Re, es ./ D);
	% Sottraggo da z le perdite di carico distribuite
	vt = ((v.^2)./(2.*g)); % v / 2g
	z = H12 - ((4.*f)./D) .* vt .* L; % perdite distribuite
end

% Soluzione usando il metodo di Octave
[X, FVAL, INFO] = fzero(@target_function, [a, b]);
X, FVAL, INFO

% Soluzione utilizzando il metodo di bisezione
[X, FVAL, INFO] = bisection(@target_function, a, b);
X, FVAL, INFO