% Parto con una stima iniziale della velocità
v = 2;

% Definisco una funzione "wrapper"
function z = target_function(v)
	% Definisco tutti i termini noti
	D = 0.154;
	nu = 0.9e-6;
	L = 4828;
	H12 = 6.35;
	es = 0.045e-3;
	g = 9.81;
	% Inizio il calcolo della funzione
	z = H12;
	% Calcolo il numero di Reynolds
	Re = (v .* D) ./ nu;
	% Calcolo il coefficiente di attrito
	f = churchill(Re, es ./ D);
	% Sottraggo da z le perdite di carico distribuite
	vt = ((v.^2)./(2.*g)); % v / 2g
	z = z - ((4.*f)./D) .* vt .* L; % perdite distribuite
end

% Traccio la funzione
x = linspace(-3, 3, 200);
plot(x, target_function(x));

% Soluzione usando il metodo di Octave
[X, FVAL, INFO] = fsolve(@target_function, v);
X, FVAL, INFO

% Soluzione usando il metodo di Newton-Raphson
[X, FVAL, INFO] = newton_raphson(@target_function, v);
X, FVAL, INFO