function [X, FVAL, INFO] = ipf(f, x, n=1e5, tol=1e-7)
	for k = 1:n
		x_old = x;
		x = f(x);
		if norm(x - x_old) < tol
			X = x;
			FVAL = f(x);
			INFO = 1;
			return
		end
	end
	X = x;
	FVAL = f(x);
	INFO = 0;
end